libkate 0.4.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Fields

Data Fields
kate_packet Struct Reference

`#include <kate.h>`

## Data Fields
size_t | nbytes
void * | data

## Detailed Description

a kate packet raw data

Examples:
  high.c.

## Field Documentation

void* kate_packet::data

pointer to the data in this packet

Referenced by kate_decode_headerin(), kate_decode_is_idheader(), kate_decode_packetin(), kate_encode_text_raw_times(), kate_packet_clear(), and kate_packet_wrap().

size_t kate_packet::nbytes

the number of bytes in this packet

Referenced by kate_decode_headerin(), kate_decode_is_idheader(), kate_decode_packetin(), kate_encode_text_raw_times(), and kate_packet_wrap().

The documentation for this struct was generated from the following file:

- /tmp/buildpkgs/libkate/libkate-0.4.1/include/kate/kate.h